This service will be undergoing disruptive maintenance at 7:00PM UTC, 2020-01-18. It is expected to last approximately one hour.
Bug 1712554 - Red Hat Insights inventory broken for large environments after upgrade to Red Hat Satellite 6.5
Summary: Red Hat Insights inventory broken for large environments after upgrade to Red...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: rubygem-redhat_access_lib
Version: 6.5.0
Hardware: All
OS: Linux
unspecified
high vote
Target Milestone: 6.6.0
Assignee: Rex White
QA Contact: Radovan Drazny
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-21 18:56 UTC by Dylan Gross
Modified: 2019-10-22 12:47 UTC (History)
6 users (show)

Fixed In Version: tfm-rubygem-redhat_access-2.2.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1756050 (view as bug list)
Environment:
Last Closed: 2019-10-22 12:47:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 4162401 Supportability None After upgrading to Red Hat Satellite 6.5, Red Hat Insights inventory no longer loads 2019-05-23 10:46:26 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:40 UTC

Description Dylan Gross 2019-05-21 18:56:37 UTC
Description of problem:

  After upgrading to Red Hat Satellite 6.5, no longer able to access the Insights inventory via the Satellite, for an environment that has many (~70k) Content Hosts

Version-Release number of selected component (if applicable):

  Red Hat Satellite 6.5

How reproducible:
Steps to Reproduce:
1.  Navigate to "Insights" -> "Inventory" (or planner, rules, or overview) in a large Red Hat Satellite 6.5 environment


Actual results:

  Error:  "There was an error retrieving data"

Expected results:

  Page loads properly

Comment 27 errata-xmlrpc 2019-10-22 12:47:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.